Name:		yubioath-desktop
Version:	5.1.0
Release:	%mkrel 1
Summary:	Yubikey OATH security application
Group:		Yubikey
License:	BSD-like
URL:		https://developers.yubico.com/yubioath-desktop/
Source0:	https://developers.yubico.com/yubioath-desktop/Releases/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(libssl)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickControls2)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qt5-devel

Requires:	pcsc-lite
Requires:	pyotherside
Requires:	qtquickcontrols25
Requires:	yubikey-manager
Requires: 	ccid

%description
Graphical interface for displaying OATH codes with a Yubikey security key.
The Yubico Authenticator is a graphical desktop tool for generating Open
AuTHentication (OATH) event-based HOTP and time-based TOTP one-time password
codes, with the help of a Yubikey that protects the shared secrets.

%prep
%setup -qn %{name}

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}/usr/lib/yubioath-desktop %{buildroot}/%{_bindir}
rm %{buildroot}/usr/include/QZXing*
install -m 644 -D resources/com.yubico.yubioath.desktop %{buildroot}%{_datadir}/applications/com.yubico.yubioath.desktop
install -m 644 -D resources/icons/com.yubico.yubioath.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/com.yubico.yubioath.svg

%files
%{_bindir}
%{_datadir}

%changelog
* Wed Jul 27 2022 tex - 5.1.0-1pclos2022
- import
